%bcond_with apidox

%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

Summary:	Integrated Development Environment for C++/C
Name:		kdevplatform4
Version:	1.7.0
Release:	1
Epoch:		4
License:	GPLv2+
Group:		Development/C++
Url:		http://www.kde.org
Source0:	http://fr2.rpmfind.net/linux/KDE/unstable/kdevelop/%{kdevelop_ver}/src/kdevplatform-%{version}.tar.xz
BuildRequires:	flex
%if %{with apidox}
BuildRequires:	doxygen
%endif
BuildRequires:	graphviz
BuildRequires:	rapidsvn
BuildRequires:	boost-devel
BuildRequires:	db-devel
BuildRequires:	grantlee-devel
BuildRequires:	kdelibs4-devel
BuildRequires:	libcommoncpp-devel
BuildRequires:	subversion-devel
BuildRequires:	pkgconfig(apr-1)
BuildRequires:	pkgconfig(apr-util-1)
BuildRequires:	pkgconfig(QJson)
BuildRequires:	pkgconfig(QtWebKit)

%description
%{name} module needed by Kdevelop or Quanta.

%files -f %{name}.lang
%{_kde_bindir}/kdev_dbus_socket_transformer
%{_kde_bindir}/kdev_format_source
%{_kde_bindir}/kdevplatform_shell_environment.sh
%{_kde_appsdir}/kdevappwizard
%{_kde_appsdir}/kdevclassbrowser
%{_kde_appsdir}/kdevcodegen
%{_kde_appsdir}/kdevcodeutils
%{_kde_appsdir}/kdevcontextbrowser
%{_kde_appsdir}/kdevcvs
%{_kde_appsdir}/kdevdebugger
%{_kde_appsdir}/kdevdocumentswitcher
%{_kde_appsdir}/kdevdocumentview
%{_kde_appsdir}/kdevelop/*.qml
%{_kde_appsdir}/kdevexternalscript
%{_kde_appsdir}/kdevfilemanager
%{_kde_appsdir}/kdevfiletemplates
%{_kde_appsdir}/kdevgrepview
%{_kde_appsdir}/kdevpatchreview
%{_kde_appsdir}/kdevproblemreporter
%{_kde_appsdir}/kdevprojectmanagerview
%{_kde_appsdir}/kdevquickopen
%{_kde_appsdir}/kdevsession
%{_kde_appsdir}/kdevsnippet
%{_kde_appsdir}/kdevsourceformatter
%{_kde_appsdir}/kdevstandardoutputview
%{_kde_appsdir}/kdevtestview
%{_kde_appsdir}/plasma/plasmoids/org.kdevelop.branches
%{_kde_configdir}/kdevappwizard.knsrc
%{_kde_configdir}/kdevfiletemplates.knsrc
%{_kde_servicetypes}/kdevelopplugin.desktop
%{_kde_services}/kcm_kdev_bgsettings.desktop
%{_kde_services}/kcm_kdev_ccsettings.desktop
%{_kde_services}/kcm_kdev_envsettings.desktop
%{_kde_services}/kcm_kdev_pluginsettings.desktop
%{_kde_services}/kcm_kdev_projectsettings.desktop
%{_kde_services}/kcm_kdev_uisettings.desktop
%{_kde_services}/kcm_kdevprojectfilter.desktop
%{_kde_services}/kcm_kdevsourceformattersettings.desktop
%{_kde_services}/kdev-dash-projectfileelement.desktop
%{_kde_services}/kdevelop-dashboard-branches.desktop
%{_kde_services}/kdevappwizard.desktop
%{_kde_services}/kdevbazaar.desktop
%{_kde_services}/kdevclassbrowser.desktop
%{_kde_services}/kdevcodeutils.desktop
%{_kde_services}/kdevcontextbrowser.desktop
%{_kde_services}/kdevcvs.desktop
%{_kde_services}/kdevdocumentswitcher.desktop
%{_kde_services}/kdevdocumentview.desktop
%{_kde_services}/kdevexecute.desktop
%{_kde_services}/kdevexecutescript.desktop
%{_kde_services}/kdevexternalscript.desktop
%{_kde_services}/kdevfilemanager.desktop
%{_kde_services}/kdevfiletemplates.desktop
%{_kde_services}/kdevgenericmanager.desktop
%{_kde_services}/kdevgit.desktop
%{_kde_services}/kdevgrepview.desktop
%{_kde_services}/kdevkonsoleview.desktop
%{_kde_services}/kdevopenwith.desktop
%{_kde_services}/kdevpatchreview.desktop
%{_kde_services}/kdevpastebin.desktop
%{_kde_services}/kdevproblemreporter.desktop
%{_kde_services}/kdevprojectdashboard.desktop
%{_kde_services}/kdevprojectfilter.desktop
%{_kde_services}/kdevprojectmanagerview.desktop
%{_kde_services}/kdevquickopen.desktop
%{_kde_services}/kdevreviewboard.desktop
%{_kde_services}/kdevsnippet.desktop
%{_kde_services}/kdevstandardoutputview.desktop
%{_kde_services}/kdevsubversion.desktop
%{_kde_services}/kdevswitchtobuddy.desktop
%{_kde_services}/kdevtemplatemanager_config.desktop
%{_kde_services}/kdevtestview.desktop
%{_kde_services}/kdevvcschangesview.desktop
%{_kde_libdir}/kde4/kcm_kdev_bgsettings.so
%{_kde_libdir}/kde4/kcm_kdev_ccsettings.so
%{_kde_libdir}/kde4/kcm_kdev_envsettings.so
%{_kde_libdir}/kde4/kcm_kdev_pluginsettings.so
%{_kde_libdir}/kde4/kcm_kdev_projectsettings.so
%{_kde_libdir}/kde4/kcm_kdev_uisettings.so
%{_kde_libdir}/kde4/kcm_kdevprojectfilter.so
%{_kde_libdir}/kde4/kcm_kdevsourceformattersettings.so
%{_kde_libdir}/kde4/kdevappwizard.so
%{_kde_libdir}/kde4/kdevbazaar.so
%{_kde_libdir}/kde4/kdevclassbrowser.so
%{_kde_libdir}/kde4/kdevcodeutils.so
%{_kde_libdir}/kde4/kdevcontextbrowser.so
%{_kde_libdir}/kde4/kdevcvs.so
%{_kde_libdir}/kde4/kdevdocumentview.so
%{_kde_libdir}/kde4/kdevdocumentswitcher.so
%{_kde_libdir}/kde4/kdevexecute.so
%{_kde_libdir}/kde4/kdevexecutescript.so
%{_kde_libdir}/kde4/kdevexternalscript.so
%{_kde_libdir}/kde4/kdevfilemanager.so
%{_kde_libdir}/kde4/kdevfiletemplates.so
%{_kde_libdir}/kde4/kdevgenericmanager.so
%{_kde_libdir}/kde4/kdevgit.so
%{_kde_libdir}/kde4/kdevgrepview.so
%{_kde_libdir}/kde4/kdevkonsoleview.so
%{_kde_libdir}/kde4/kdevopenwith.so
%{_kde_libdir}/kde4/kdevpatchreview.so
%{_kde_libdir}/kde4/kdevpastebin.so
%{_kde_libdir}/kde4/kdevproblemreporter.so
%{_kde_libdir}/kde4/kdevprojectdashboard.so
%{_kde_libdir}/kde4/kdevprojectfilter.so
%{_kde_libdir}/kde4/kdevprojectmanagerview.so
%{_kde_libdir}/kde4/kdevquickopen.so
%{_kde_libdir}/kde4/kdevreviewboard.so
%{_kde_libdir}/kde4/kdevsnippet.so
%{_kde_libdir}/kde4/kdevstandardoutputview.so
%{_kde_libdir}/kde4/kdevsubversion.so
%{_kde_libdir}/kde4/kdevswitchtobuddy.so
%{_kde_libdir}/kde4/kdevtemplatemanager_config.so
%{_kde_libdir}/kde4/kdevtestview.so
%{_kde_libdir}/kde4/kdevvcschangesviewplugin.so
%{_kde_libdir}/kde4/imports/org/kde/kdevplatform
%{_kde_libdir}/kde4/plasma_kdev_projectfileelement.so
%{_kde_libdir}/kde4/plugins/grantlee/*/kdev_filters.so
%{_kde_iconsdir}/hicolor/*/apps/reviewboard.png
%{_kde_iconsdir}/hicolor/*/actions/run-clean.png
%{_kde_iconsdir}/hicolor/*/actions/run-install.png
%{_kde_iconsdir}/hicolor/*/apps/bazaar.png
%{_kde_iconsdir}/hicolor/*/apps/git.png
%{_kde_iconsdir}/hicolor/*/apps/subversion.png

#-----------------------------------------------------------------------------

%define kdevplatformtests_major 8
%define libkdevplatformtests %mklibname kdevplatformtests %{kdevplatformtests_major}

%package -n %{libkdevplatformtests}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdevplatformtests}
KDE 4 library.

%files -n %{libkdevplatformtests}
%{_kde_libdir}/libkdevplatformtests.so.%{kdevplatformtests_major}*

#-----------------------------------------------------------------------------

%define kdevplatforminterfaces_major 8
%define libkdevplatforminterfaces %mklibname kdevplatforminterfaces %{kdevplatforminterfaces_major}

%package -n %{libkdevplatforminterfaces}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdevplatforminterfaces}
KDE 4 library.

%files -n %{libkdevplatforminterfaces}
%{_kde_libdir}/libkdevplatforminterfaces.so.%{kdevplatforminterfaces_major}*

#-----------------------------------------------------------------------------

%define kdevplatformjsontests_major 8
%define libkdevplatformjsontests %mklibname kdevplatformjsontests %{kdevplatformjsontests_major}

%package -n %{libkdevplatformjsontests}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdevplatformjsontests}
KDE 4 library.

%files -n %{libkdevplatformjsontests}
%{_kde_libdir}/libkdevplatformjsontests.so.%{kdevplatformjsontests_major}*

#-----------------------------------------------------------------------------

%define kdevplatformlanguage_major 8
%define libkdevplatformlanguage %mklibname kdevplatformlanguage %{kdevplatformlanguage_major}

%package -n %{libkdevplatformlanguage}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdevplatformlanguage}
KDE 4 library.

%files -n %{libkdevplatformlanguage}
%{_kde_libdir}/libkdevplatformlanguage.so.%{kdevplatformlanguage_major}*

#-----------------------------------------------------------------------------

%define kdevplatformoutputview_major 8
%define libkdevplatformoutputview %mklibname kdevplatformoutputview %{kdevplatformoutputview_major}

%package -n %{libkdevplatformoutputview}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdevplatformoutputview}
KDE 4 library.

%files -n %{libkdevplatformoutputview}
%{_kde_libdir}/libkdevplatformoutputview.so.%{kdevplatformoutputview_major}*

#-----------------------------------------------------------------------------

%define kdevplatformproject_major 8
%define libkdevplatformproject %mklibname kdevplatformproject %{kdevplatformproject_major}

%package -n %{libkdevplatformproject}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdevplatformproject}
KDE 4 library.

%files -n %{libkdevplatformproject}
%{_kde_libdir}/libkdevplatformproject.so.%{kdevplatformproject_major}*

#-----------------------------------------------------------------------------

%define kdevplatformshell_major 8
%define libkdevplatformshell %mklibname kdevplatformshell %{kdevplatformshell_major}

%package -n %{libkdevplatformshell}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdevplatformshell}
KDE 4 library.

%files -n %{libkdevplatformshell}
%{_kde_libdir}/libkdevplatformshell.so.%{kdevplatformshell_major}*

#-----------------------------------------------------------------------------

%define kdevplatformutil_major 8
%define libkdevplatformutil %mklibname kdevplatformutil %{kdevplatformutil_major}

%package -n %{libkdevplatformutil}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdevplatformutil}
KDE 4 library.

%files -n %{libkdevplatformutil}
%{_kde_libdir}/libkdevplatformutil.so.%{kdevplatformutil_major}*

#-----------------------------------------------------------------------------

%define kdevplatformvcs_major 8
%define libkdevplatformvcs %mklibname kdevplatformvcs %{kdevplatformvcs_major}

%package -n %{libkdevplatformvcs}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdevplatformvcs}
KDE 4 library.

%files -n %{libkdevplatformvcs}
%{_kde_libdir}/libkdevplatformvcs.so.%{kdevplatformvcs_major}*

#-----------------------------------------------------------------------------

%define sublime_major 8
%define libsublime %mklibname sublime %{sublime_major}

%package -n %{libsublime}
Summary:	KDE 4 library
Group: System/Libraries

%description -n %{libsublime}
KDE 4 library.

%files -n %{libsublime}
%{_kde_libdir}/libsublime.so.%{sublime_major}*

#-----------------------------------------------------------------------------

%define kdevplatformdebugger_major 8
%define libkdevplatformdebugger %mklibname kdevplatformdebugger %{kdevplatformdebugger_major}

%package -n %{libkdevplatformdebugger}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdevplatformdebugger}
KDE 4 library.

%files -n %{libkdevplatformdebugger}
%{_kde_libdir}/libkdevplatformdebugger.so.%{kdevplatformdebugger_major}*

#-----------------------------------------------------------------------------

%define kdevplatformdocumentation_major 8
%define libkdevplatformdocumentation %mklibname kdevplatformdocumentation %{kdevplatformdocumentation_major}

%package -n %{libkdevplatformdocumentation}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdevplatformdocumentation}
KDE 4 library.

%files -n %{libkdevplatformdocumentation}
%{_kde_libdir}/libkdevplatformdocumentation.so.%{kdevplatformdocumentation_major}*

#-----------------------------------------------------------------------------

%define devname %mklibname kdevplatform4 -d

%package -n %{devname}
Summary:	Development files for kdevplatform
Group:		Development/KDE and Qt
Requires:	%{libkdevplatformtests} = %{EVRD}
Requires:	%{libkdevplatforminterfaces} = %{EVRD}
Requires:	%{libkdevplatformjsontests} = %{EVRD}
Requires:	%{libkdevplatformlanguage} = %{EVRD}
Requires:	%{libkdevplatformoutputview} = %{EVRD}
Requires:	%{libkdevplatformproject} = %{EVRD}
Requires:	%{libkdevplatformshell} = %{EVRD}
Requires:	%{libkdevplatformutil} = %{EVRD}
Requires:	%{libkdevplatformvcs} = %{EVRD}
Requires:	%{libsublime} = %{EVRD}
Requires:	%{libkdevplatformdebugger} = %{EVRD}
Requires:	%{libkdevplatformdocumentation} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for kdevplatform.

%files -n %{devname}
%{_kde_libdir}/cmake/kdevplatform/*.cmake
%{_kde_includedir}/kdevplatform
%{_kde_libdir}/libkdevplatformtests.so
%{_kde_libdir}/libkdevplatforminterfaces.so
%{_kde_libdir}/libkdevplatformjsontests.so
%{_kde_libdir}/libkdevplatformlanguage.so
%{_kde_libdir}/libkdevplatformoutputview.so
%{_kde_libdir}/libkdevplatformproject.so
%{_kde_libdir}/libkdevplatformshell.so
%{_kde_libdir}/libkdevplatformutil.so
%{_kde_libdir}/libkdevplatformvcs.so
%{_kde_libdir}/libsublime.so
%{_kde_libdir}/libkdevplatformdebugger.so
%{_kde_libdir}/libkdevplatformdocumentation.so

#-----------------------------------------------------------------------------

%prep
%setup -qn kdevplatform-%{version}

%build
%cmake_kde4
%make

%if %{with apidox}
make apidox
%endif

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-kde


%changelog
* Tue Sep 02 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4:1.7.0-1
+ Revision: 6c56339
- Update BuildRequires


